Bug 720086 - Review Request: perl-Net-FTP-RetrHandle - Provides a file reading interface for reading files on a remote FTP server
Summary: Review Request: perl-Net-FTP-RetrHandle - Provides a file reading interface f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 627373
TreeView+ depends on / blocked
 
Reported: 2011-07-09 04:42 UTC by Bernard Johnson
Modified: 2014-08-22 12:15 UTC (History)
3 users (show)

Fixed In Version: perl-Net-FTP-RetrHandle-0.2-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-02 02:03:09 UTC
Type: ---
hobbes1069: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2011-07-09 04:42:09 UTC
Spec URL: http://fedorapeople.org/~bjohnson/perl-Net-FTP-RetrHandle.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-Net-FTP-RetrHandle-0.2-1.fc14.src.rpm
Description:
Support for skipping the beginning of the file is implemented with the FTP REST
command, which starts a retrieval at any point in the file. Support for
skipping the end of the file is implemented with the FTP ABOR command, which
stops the transfer. With these two commands and some careful tracking of the
current file position, we're able to reliably emulate a seek/read pair, and get
only the parts of the file that are actually read.

This was originally designed for use with Archive::Zip; it's reliable enough
that the table of contents and individual files can be extracted from a remote
ZIP archive without downloading the whole thing.

An interface compatible with IO::Handle is provided, along with a tie-based

$ rpmlint perl-Net-FTP-RetrHandle.spec mock-results/*rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
$

Comment 1 Bernard Johnson 2011-07-18 04:55:50 UTC
Spec URL: http://fedorapeople.org/~bjohnson/perl-Net-FTP-RetrHandle.spec
SRPM URL:
http://fedorapeople.org/~bjohnson/perl-Net-FTP-RetrHandle-0.2-2.fc14.src.rpm

* Sun Jul 17 2011 Bernard Johnson <bjohnson@symetrix.com> - 0.2-2
- add additional documentation files including test cases

Comment 2 Damian L Brasher 2011-07-18 10:48:41 UTC
Confirmed.

SRPM
rpmlint perl-Net-FTP-RetrHandle-0.2-2.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

SPEC
rpmlint perl-Net-FTP-RetrHandle.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

I'm a new reviewer, so if these comments are mis-placed please bear with me.

The %defattr(-,root,root,-) section could be removed. This is now default so will be ignored. (See Packaging Guidelines, section File Permissions)

I was unable to find the Licence files in Net-FTP-RetrHandle-0.2.tar.gz

Regards

Damian

Comment 3 Bernard Johnson 2011-07-18 14:23:23 UTC
(In reply to comment #2)
> The %defattr(-,root,root,-) section could be removed. This is now default so
> will be ignored. (See Packaging Guidelines, section File Permissions)

The intention is to push this package back as far as RHEL 4 which only has RPM 4.3.x.  I'd like it to still build correctly on any platform version that it's pushed to.

> I was unable to find the Licence files in Net-FTP-RetrHandle-0.2.tar.gz

There is no individual license file.  The license is in lib/Net/FTP/RetrHandle.pm under "Copyright".

Comment 4 Richard Shaw 2011-07-19 14:36:50 UTC
I'll take this one too.

Comment 5 Richard Shaw 2011-07-19 14:40:39 UTC
Minor observations:

1. Got a redundant %doc in this one too.

2. Isn't an underscore in front of a macro usually a path by convention? (i.e. _libdir, _sharedir, _includedir, etc.)

Thanks,
Richard

Comment 6 Richard Shaw 2011-07-19 14:59:36 UTC
Since neither of the above are showstoppers:

+: OK
-: must be fixed
=: should be fixed (at your discretion)
?: Question or clairification needed
N: not applicable

MUST:
[+] rpmlint output: shown in comment: No warnings or errors.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license: GPL+ or Artistic
[+] license field matches the actual license.
[N] license file is included in %doc
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sums match (0e25887641efe59b6fd2dd6964fb77a7)
[+] package builds on at least one primary arch: Tested F14
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[N] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install/validate
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[N] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock
[+] package builds on all supported arches
[?] package functions as described: Provides requirement for BackupPC
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[N] file dependencies versus package dependencies
[N] package contains man pages for binaries/scripts

*** APPROVED ***

Comment 7 Bernard Johnson 2011-07-20 04:20:16 UTC
(In reply to comment #5)
> Minor observations:
> 
> 1. Got a redundant %doc in this one too.

Yeah, I already fixed it locally and it will be fixed in the initial package.

> 2. Isn't an underscore in front of a macro usually a path by convention? (i.e.
> _libdir, _sharedir, _includedir, etc.)

Well, that's a good observation and I've never thought about it too much so I checked the output of 'rpm --showrc'.  For the vast majority of cases it is a path or program.  But that's not only what it's used for (check _c_flags, _arch, etc).

In my case, having a software background, I used it to mean "internal", "private" or "only applies here".

I don't feel strongly about it one way or the other... it's just a variable to make life easier :)

Comment 8 Bernard Johnson 2011-07-20 04:25:12 UTC
New Package SCM Request
=======================
Package Name: perl-Net-FTP-RetrHandle
Short Description: Provides a file reading interface for reading files on a remote FTP server
Owners: bjohnson
Branches: f14, f15, el5, el6
InitialCC: perl-sig

Comment 9 Gwyn Ciesla 2011-07-20 10:04:17 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-07-21 03:39:30 UTC
perl-Net-FTP-RetrHandle-0.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-FTP-RetrHandle-0.2-3.el6

Comment 11 Fedora Update System 2011-07-21 03:39:39 UTC
perl-Net-FTP-RetrHandle-0.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Net-FTP-RetrHandle-0.2-3.fc14

Comment 12 Fedora Update System 2011-07-21 03:39:46 UTC
perl-Net-FTP-RetrHandle-0.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Net-FTP-RetrHandle-0.2-3.fc15

Comment 13 Fedora Update System 2011-07-21 03:39:54 UTC
perl-Net-FTP-RetrHandle-0.2-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Net-FTP-RetrHandle-0.2-3.el5

Comment 14 Fedora Update System 2011-07-22 19:30:59 UTC
perl-Net-FTP-RetrHandle-0.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 15 Fedora Update System 2011-08-02 02:03:04 UTC
perl-Net-FTP-RetrHandle-0.2-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2011-08-02 02:04:31 UTC
perl-Net-FTP-RetrHandle-0.2-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 17 Fedora Update System 2011-08-09 21:59:23 UTC
perl-Net-FTP-RetrHandle-0.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 18 Fedora Update System 2011-08-09 22:00:47 UTC
perl-Net-FTP-RetrHandle-0.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Bernard Johnson 2014-08-22 02:31:39 UTC
Package Change Request
======================
Package Name: perl-Net-FTP-RetrHandle
New Branches: epel7
Owners: bjohnson
InitialCC: perl-sig

Comment 20 Gwyn Ciesla 2014-08-22 12:15:12 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.